<?php
class GCliPlan{    

    public function lista(){
      return "SELECT 
              cp.id_curso_cliente as id ,
              cl.id_cliente as idCliente, 
              cl.no_cliente as noCliente ,
              IFNULL(c.id_curso,tcc.id_curso_clase) as idCurso , 
              IFNULL(c.no_curso,tcc.no_curso_clase) as noCurso, 
              cp.status, (CASE WHEN cp.status = '1' THEN 'Activo' ELSE 'Inactivo' END) AS noStatus, 
              cp.fe_registro as feRegistro, 
              no_email as noCorreo,
              cp.fe_activacion as feActivacion,
              cp.meses_contrato as mesesContrato,
              DATE_ADD(cp.fe_activacion, INTERVAL cp.meses_contrato MONTH) as vencimiento,
              cp.tipo as tipo
              FROM  tb_pago_cliente cp 
              INNER JOIN tb_cliente cl ON cp.id_cliente = cl.id_cliente
              LEFT JOIN tb_curso c ON cp.id_curso = c.id_curso
        	  LEFT JOIN tb_curso_clase tcc on tcc.id_curso_clase = cp.id_curso
        	  ORDER BY cp.fe_registro DESC";
    } 

    
    public function guardar(){
        return "INSERT INTO tc_tipo_plan(no_tipo_plan,id_tipo_plan) VALUES (?,?)";
    }

    public function modificar(){
      return "UPDATE tb_pago_cliente  SET status = ?, 
                                      fe_modificacion=current_timestamp(),
                                      meses_contrato=?,
                                      fe_activacion = ?
                                      WHERE id_curso_cliente = ?";     
    } 
    public function eliminar(){
      return "DELETE FROM tb_pago_cliente WHERE id_curso_cliente = ?";
    }
    
    public function lista_id(){
      return "SELECT c.* FROM tb_cliente c INNER JOIN tb_pago_cliente pc ON c.id_cliente = pc.id_cliente WHERE  c.status = '1' and id_curso_cliente = ?";
    }
}
?>